Bug 103727 - LD_PROFILE=libc.so.6 and sprof give seg fault
LD_PROFILE=libc.so.6 and sprof give seg fault
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 09:08 EDT by JLapham
Modified: 2016-11-24 09:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-10 15:38:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JLapham 2003-09-04 09:08:28 EDT
Description of problem:

lapham@bilbo > LD_PROFILE=libc.so.6 ls > /dev/null
lapham@bilbo > sprof /lib/tls/libc.so.6 /var/tmp/libc.so.6.profile
Segmentation fault

Version-Release number of selected component (if applicable):

lapham@bilbo > rpm -q glibc
glibc-2.3.2-27.9

How reproducible:

Always

Steps to Reproduce:
1. see above
    
Actual results:
seg fault

Expected results:
something similar to what happens when you profile other libs:

lapham@bilbo > LD_PROFILE=libtermcap.so.2 ls > /dev/null
lapham@bilbo > sprof -p /lib/libtermcap.so.2 /var/tmp/libtermcap.so.2.profile
*** The file `/lib/libtermcap.so.2' is stripped: no detailed analysis possible
Flat profile:
 
Each sample counts as 0.01 seconds.
  %   cumulative   self              self     total
 time   seconds   seconds    calls  us/call  us/call  name
  0.00      0.00     0.00        1     0.00           tgetent
  0.00      0.00     0.00        1     0.00           tgetstr

Additional info:
Comment 1 Ulrich Drepper 2003-10-27 04:16:32 EST
I've checked in a patch to fix this into the upstream CVS repository.  There
will probably be an errate glibc with this patch.  We'll add the number here
once it is available.
Comment 2 Ulrich Drepper 2003-11-04 16:28:12 EST
Try the code at

  ftp://people.redhat.com/jakub/glibc/errata/2.3.2-27.9.4/           
                                                                    

and let us know how it works.
Comment 3 JLapham 2003-11-10 15:37:04 EST
Ulrich-

I just tried the glibc that comes with Fedora, and it works great. 

lapham@bilbo > rpm -q glibc
glibc-2.3.2-101
Mon Nov 10 (06:38 PM) [~]
lapham@bilbo > LD_PROFILE=libc.so.6 ls > /dev/null
lapham@bilbo > sprof /lib/tls/libc.so.6 /var/tmp/libc.so.6.profile |
head -6
Flat profile:
 
Each sample counts as 0.01 seconds.
  %   cumulative   self              self     total
 time   seconds   seconds    calls  us/call  us/call  name
  0.00      0.00     0.00      208     0.00           readdir64@@GLIBC_2.2
Comment 4 Jakub Jelinek 2003-11-14 10:13:56 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-334.html

Note You need to log in before you can comment on or make changes to this bug.